<?php

require_once __DIR__."/../vendor/autoload.php";

use NoccyLabs\Daemon\AbstractDaemon;
use NoccyLabs\Daemon\Module;

class TestDaemon extends AbstractDaemon
{

    protected function onSetup()
    {
        $this->addModule(new Module\Timer());
        $this->addInterval(5, [$this,"onTimer"]);
        $this->addTimeout(10, [$this,"onTimeout"]);
    }
    
    public function onTimer()
    {
        $this->info("This interval fires every 5 seconds");
    }
    
    public function onTimeout()
    {
        $this->info("This timeout should only fire once, after 10 seconds");
    }

    protected function onLoop()
    {
    }

    protected function onShutdown()
    {
    }

}

TestDaemon::main();
